Package twisted :: Package web :: Module distrib :: Class ResourceSubscription

[show private | hide private]
[frames | no frames]

## Class ResourceSubscription

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                            ResourceSubscription

Method Summary
| `__init__(self, host, port)`
| ``__getstate__`(self)` Get persistent state for this ResourceSubscription.
| `booted(self)`
| ``connected`(self, publisher)` I've connected to a publisher; I'll now send all my requests.
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me. (inherited from `Resource`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``notConnected`(self, msg)` I can't connect to a publisher; I'll now reply to all pending requests.
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` Render this request, from my server.
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`int` | `isLeaf`
`int` | `waiting`

Method Details

### __getstate__(self)

Get persistent state for this ResourceSubscription.

### connected(self, publisher)

I've connected to a publisher; I'll now send all my requests.

### notConnected(self, msg)

I can't connect to a publisher; I'll now reply to all pending requests.

### render(self, request)

Render this request, from my server.

This will always be asynchronous, and therefore return NOT_DONE_YET. It spins off a request to the pb client, and either adds it to the list of pending issues or requests it immediately, depending on if the client is already connected.

Class Variable Details

### isLeaf

  Type:
    `int`
  Value:

        1

### waiting

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:19:06 2003 | http://epydoc.sf.net